unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls, FMXTee.Engine, FMXTee.Procs,
  FMXTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    FileName  : String;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

uses
  System.IOUtils, FMXTee.Store;

procedure TForm1.Button1Click(Sender: TObject);
var tmpChart : TCustomChart;
begin
  if FileExists(FileName) then
  begin
    tmpChart:=TChart.Create(Self);
    LoadChartFromFile(tmpChart, FileName);

    Chart1 := tmpChart as TChart;
    Chart1.Parent:=Self;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FileName := TPath.GetHomePath + 'test.tee';

  if not FileExists(FileName) then
    SaveChartToFile(Chart1, FileName,true,false);

  LoadChartFromFile(Chart1, FileName);
end;

end.
